Index: modules/Facebook_Tab/func.php
@@ -370,11 +370,17 @@

 function func_fb_show_product_details($pid) {

-    global $smarty;
+    global $smarty, $config;

-    x_load('product');
+    x_load('product', 'clean_urls');

-    $smarty->assign('product', func_select_product($pid, 0, false, true, false));
+    $product = func_select_product($pid, 0, false, true, false);
+
+    if ($config['SEO']['clean_urls_enabled'] == 'Y') {
+        $product['canonical_url'] = func_clean_url_get('P', $product['productid']);
+    }
+
+    $smarty->assign('product', $product);
     return func_fb_display('modules/Facebook_Tab/customer/popup_product_info.tpl');
 }

Index: modules/Facebook_Tab/products.php
@@ -249,6 +249,12 @@
     $products = func_fb_set_product_list_props($products);
 }
 
+if ($config['SEO']['clean_urls_enabled'] == 'Y'){
+    foreach ($products as $k => $p) {
+        $products[$k]['canonical_url'] = func_clean_url_get('P', $p['productid']);
+    }
+}
+
 // Assign variables
 $smarty->assign("navigation_script", "index.php?tab_name=" . $tab_name);
 $smarty->assign('tab_name', $tab_name);
Index: skin1/modules/Facebook_Tab/customer/like_button.tpl
@@ -1,8 +1,12 @@
-{*
-$Id: like_button.tpl 25 2011-06-21 12:55:44Z skot $
-vim: set ts=2 sw=2 sts=2 et:
-*}
-{if $config.Facebook_Tab.fb_app_admin_ids ne ''}
-  {assign var="comments_url" value="`$current_location`/product.php?productid=`$product.productid`"}
-  <fb:comments xid="comments_id_{$product.productid}{$product.add_date}{$config.Facebook_Tab.fb_app_admin_ids|replace:",":"_"|replace:" ":""}" returnurl="{$comments_url}" simple="true" showform="true" numposts="3" publish_feed="false" reverse="true" canpost="true" candelete="true" callbackurl="http://www.facebook.com/widgets/comments.php" title="{$product.product|escape}"><fb:title>{$product.product|escape}</fb:title></fb:comments>
-{/if}
+{*
+$Id: like_button.tpl 25 2011-06-21 12:55:44Z skot $
+vim: set ts=2 sw=2 sts=2 et:
+*}
+{if $config.Facebook_Tab.fb_app_admin_ids ne ''}
+  {if $product.canonical_url}
+     {assign var="comments_url" value=$product.canonical_url}
+  {else}
+     {assign var="comments_url" value="`$current_location`/product.php?productid=`$product.productid`"}
+  {/if}
+  <fb:comments href="{$comments_url}" num_posts="3"></fb:comments>
+{/if}
